Subject: bug#14794: 24.3.50; `w32-register-hot-key' does not work on Windows 7 64-bit

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 20 Feb 2022 15:04:14 +0100

Eli Zaretskii <[email-masked]> writes:

> I think we have a solution for this since Emacs 26.1.  From NEWS.26:
>
>   ** Intercepting hotkeys on Windows 7 and later now works better.
>   The new keyboard hooking code properly grabs system hotkeys such as
>   'Win-*' and 'Alt-TAB', in a way that Emacs can get at them before the
>   system.  This makes the 'w32-register-hot-key' functionality work
>   again on all versions of MS-Windows starting with Windows 7.  On
>   Windows NT and later you can now register any hotkey combination.  (On
>   Windows 9X, the previous limitations, spelled out in the Emacs manual,
>   still apply.)

Ah, OK, then I guess there's nothing more to do here, and I'm closing
this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no